Bug 235113 - dns/powerdns-recursor: Update to 4.1.9 (fixes CVE-2019-3806 and CVE-2019-3807)
Summary: dns/powerdns-recursor: Update to 4.1.9 (fixes CVE-2019-3806 and CVE-2019-3807)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Steve Wills
URL: https://doc.powerdns.com/recursor/cha...
Keywords: needs-patch, needs-qa, security
Depends on:
Blocks:
 
Reported: 2019-01-21 16:58 UTC by nusenu
Modified: 2019-01-28 17:13 UTC (History)
3 users (show)

See Also:
tremere: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Update to 4.1.9 (863 bytes, patch)
2019-01-22 09:49 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
VuXML entry for powerdns-recursor (2.01 KB, patch)
2019-01-22 10:08 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Update to 4.1.10 (866 bytes, patch)
2019-01-24 15:54 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-22 03:09:07 UTC
Pending:

- Patch to update to 4.1.9
- Patch to add VuXML entry
Comment 2 Ralf van der Enden 2019-01-22 09:49:42 UTC
Created attachment 201324 [details]
Update to 4.1.9
Comment 3 Ralf van der Enden 2019-01-22 10:08:36 UTC
Created attachment 201327 [details]
VuXML entry for powerdns-recursor
Comment 4 Ralf van der Enden 2019-01-24 15:54:50 UTC
Created attachment 201377 [details]
Update to 4.1.10

A minor patch that fixes compilation when protobuf is disabled.
Comment 5 commit-hook freebsd_committer 2019-01-28 16:54:09 UTC
A commit references this bug:

Author: swills
Date: Mon Jan 28 16:53:42 UTC 2019
New revision: 491493
URL: https://svnweb.freebsd.org/changeset/ports/491493

Log:
  Document powerdns-recursor issue

  PR:		235113
  Submitted by:	Ralf van der Enden <tremere@cainites.net>

Changes:
  head/security/vuxml/vuln.xml
Comment 6 commit-hook freebsd_committer 2019-01-28 16:59:15 UTC
A commit references this bug:

Author: swills
Date: Mon Jan 28 16:59:02 UTC 2019
New revision: 491494
URL: https://svnweb.freebsd.org/changeset/ports/491494

Log:
  dns/powerdns-recursor: update to 4.1.10

  PR:		235113
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Reported by:	nusenu <freebsd-vheg@riseup.net>
  MFH:		2019Q1
  Security:	40d92cc5-1e2b-11e9-bef6-6805ca2fa271

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
Comment 7 commit-hook freebsd_committer 2019-01-28 17:05:22 UTC
A commit references this bug:

Author: swills
Date: Mon Jan 28 17:04:56 UTC 2019
New revision: 491495
URL: https://svnweb.freebsd.org/changeset/ports/491495

Log:
  MFH: r491494

  dns/powerdns-recursor: update to 4.1.10

  PR:		235113
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Reported by:	nusenu <freebsd-vheg@riseup.net>
  Security:	40d92cc5-1e2b-11e9-bef6-6805ca2fa271
  Approved by:	ports-secteam (implicit)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/dns/powerdns-recursor/Makefile
  branches/2019Q1/dns/powerdns-recursor/distinfo
Comment 8 Steve Wills freebsd_committer 2019-01-28 17:13:02 UTC
Committed, thanks!